/*
 * Copyright © 2012-2024 by Data Virtuality GmbH
 */
package org.teiid.dqp.internal.process;

/**
 * @author Roman Pedchenko
 * @date 2024.07.22
 */
public class UserLimits {
    private int concurrentQueries = -1;
    private int maxQueryTime = -1;
    private int maxRows = -1;

    public int getConcurrentQueries() {
        return concurrentQueries;
    }

    public void setConcurrentQueries(int concurrentQueries) {
        this.concurrentQueries = concurrentQueries;
    }

    public int getMaxQueryTime() {
        return maxQueryTime;
    }

    public void setMaxQueryTime(int maxQueryTime) {
        this.maxQueryTime = maxQueryTime;
    }

    public int getMaxRows() {
        return maxRows;
    }

    public void setMaxRows(int maxRows) {
        this.maxRows = maxRows;
    }
}
